#ShowPyLab3.py
""" Shows how to make bar plots and to put several
graphs in the same window using subplot
"""

from numpy import *
from pylab import *
from RiseSet import *

figure(figsize=(12,8))

# sublot (m,n,p) means "we have m rows plots with n plots per row.
# The next goes into plot window p.

subplot(2,1,1)
#  Get Ithaca Rise/Set Data
C_Ithaca = Daylight('RiseSetData\Ithaca.dat')
M_Ithaca = C_Ithaca.MonthAves()
bar(range(12),M_Ithaca,facecolor='magenta')
c = ['JAN','FEB','MAR','APR','MAY','JUN','JUL','AUG','SEP','OCT','NOV','DEC']
t = [.5, 1.5, 2.5 ,3.5,4.5,5.5,6.5,7.5,8.5,9.5,10.5,11.5]
xticks( t,c)
xlim(-.2,12)
ylim(0,18)
ylabel('Average Hours of Sunlight',fontsize=16)
title(C_Ithaca.City,fontsize=16)

subplot(2,1,2)
C_London = Daylight('RiseSetData\London.dat')
M_London = C_London.MonthAves()
bar(range(12),M_London,facecolor='cyan')
xticks(t,c)
xlim(-.2,12)
ylim(0,18)
ylabel('Average Hours of Sunlight',fontsize=16)
title(C_London.City,fontsize=16)


show()



